<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CrearTablaCiclo extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ciclo_id' => [
                'type' => 'INT',
                'unsigned' => true,
                'auto_increment' => true,
                'null' => false,
            ],
            'ciclo_descripcion' => [
                'type' => 'VARCHAR',
                'constraint' => 150,
                'null' => false,
            ],
            'ciclo_estado' => [
                'type' => 'BOOL',
                'null' => false,
            ],
            'created_at timestamp default current_timestamp',
            'updated_at timestamp default current_timestamp on update current_timestamp'
        ]);

        $this->forge->addKey("ciclo_id",true);
        $this->forge->createTable("ciclo");
    }

    public function down()
    {
        $this->forge->dropTable("ciclo", true);
    }
}
